<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseDataListResponse StructType
 * @subpackage Structs
 */
class CruiseDataListResponse extends AbstractStructBase
{
    /**
     * The CruiseDataRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $CruiseDataRS;
    /**
     * Constructor method for CruiseDataListResponse
     * @uses CruiseDataListResponse::setCruiseDataRS()
     * @param \StructType\JP_StaticDataRS $cruiseDataRS
     */
    public function __construct(\StructType\JP_StaticDataRS $cruiseDataRS = null)
    {
        $this
            ->setCruiseDataRS($cruiseDataRS);
    }
    /**
     * Get CruiseDataRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getCruiseDataRS()
    {
        return $this->CruiseDataRS;
    }
    /**
     * Set CruiseDataRS value
     * @param \StructType\JP_StaticDataRS $cruiseDataRS
     * @return \StructType\CruiseDataListResponse
     */
    public function setCruiseDataRS(\StructType\JP_StaticDataRS $cruiseDataRS = null)
    {
        $this->CruiseDataRS = $cruiseDataRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruiseDataListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
